package out;
import java.io.*;

public class Main extends java.lang.Object {
  public static void main(java.lang.String[] args) {
    String dirs[] = new String[4];

    maze.Room r0 = new maze.Room();
    maze.Room r1 = new maze.Room();
    maze.Room r2 = new maze.Room();

    r0.setRoom(maze.Room.NORTH, r1);
    r0.setRoom(maze.Room.SOUTH, r2);

    maze.Door d0 = new maze.Door();
    maze.Door d1 = new maze.Door();

    r0.setDoor(maze.Room.NORTH, d0);
    r0.setDoor(maze.Room.SOUTH, d1);

    
    try {
      DataInputStream input = new DataInputStream(System.in);
      System.out.println("Enter player name");
      String str = input.readLine();
      game.Player player = new game.Player();
      player.setRoom(r0);
      player.setName(str);

      player.room().print(System.out);
      System.out.println(player + " facing " + maze.Room.DIRS[player.direction()]);
      while (true) {
	System.out.println("Enter command: (m)ove, (r)otate, (q)uit");
	str = input.readLine();
	if (str.charAt(0) == 'm') {
	  if (player.move()) {
	    player.room().print(System.out);
	  } else {
	    System.out.println("cannot move that way");
	  }
	} else if (str.charAt(0) == 'r') {
	  player.rotateDirection();
	  System.out.println(player + " facing " + maze.Room.DIRS[player.direction()]);
	} else if (str.charAt(0) == 'q') {
	  System.exit(0);
	  break;
	}
      } 
    } catch (IOException ioe) {
      throw new Error();
    }
  }
  public Main() {
    super();
  }
}
